# An *r5py* sample data set that covers the centre of São Paulo

This package contains the following data sets:

## `r5py.sampledata.sao_paulo.gtfs`

General Transit Feed Specification ([GTFS](https://developers.google.com/transit/gtfs/reference))
data representing the public transport schedules, stop locations, lines, etc.

In contrast to the GTFS data set for Helsinki, the São Paulo data also has schedules expressed in
frequencies rather than fixed departure times.

[This data set has been published by São Paulo Transporte S/A, the public transport company of the
city of São Paulo for open use, but without a specific license
specified.](https://www.sptrans.com.br/desenvolvedores)


## `r5py.sampledata.sao_paulo.osm_pbf`

A sample dataset representing OpenStreetMap data in protocolbuffer binary format (PBF), which was
obtained from [Geofabrik](https://download.geofabrik.de/europe/finland.html).  The data is licensed
under the [Open Data Commons Open Database License (ODbL)](https://www.openstreetmap.org/copyright).


## `r5py.sampledata.sao_paulo.hexgrid_csv`

A regular, hexagonally distributed, point grid data set over the extent of São Paulo, curated by the
authors of [r5r](https://github.com/ipeaGIT/r5r/tree/master/r-package/inst/extdata/spo).


## `r5py.sampledata.sao_paulo.hexgrid_gpkg`

A regular, hexagon grid data set over the extent of São Paulo, curated by the authors of
[r5r](https://github.com/ipeaGIT/r5r/tree/master/r-package/inst/extdata/spo).
